commit: 8cad15e5060b74878efe6ce1daaac14972b04d0d
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Nov 21 02:42:14 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Nov 21 02:42:14 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8cad15e5
dev-python/stevedore: Bump to 5.6.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/stevedore/Manifest | 1 +
dev-python/stevedore/stevedore-5.6.0.ebuild | 49 +++++++++++++++++++++++++++++
2 files changed, 50 insertions(+)
diff --git a/dev-python/stevedore/Manifest b/dev-python/stevedore/Manifest
index 29476deeabd4..019e3d70bbc5 100644
--- a/dev-python/stevedore/Manifest
+++ b/dev-python/stevedore/Manifest
@@ -1 +1,2 @@
DIST stevedore-5.5.0.tar.gz 513878 BLAKE2B
4a062394f3c2bb1044a5510fa15d8124696bfb6a7a8f39470158b51293709bd6aca31f74f44db150ccc5bcb7102a413a063e34693a48f80bd3f85f7c7fe3c204
SHA512
4fa4806ddb98430893f44f97e4e43b6eab244bd47c72cec196418edf1f55647c29e47c4f6b4c6c42069001415471d9cecdc149e9d5a504422143a7f143813381
+DIST stevedore-5.6.0.tar.gz 516074 BLAKE2B
a6fe95df46bf0b0da44564f21a4a8fc5f9df1ddee882ed001d01bc916202f50645ef914219959d1ba1b463936733815f20faf5f10ea6be9a76c0d69c1196f149
SHA512
253cae8ab14e4dcc33bf656112da7329957ca4acda8b92fec7d590b499092c762b07b4f0fa2e63aa99a29b9edb7efba4655f4f14b8e65ace1e20f1a9b2dc441c
diff --git a/dev-python/stevedore/stevedore-5.6.0.ebuild
b/dev-python/stevedore/stevedore-5.6.0.ebuild
new file mode 100644
index 000000000000..ec784600ccf9
--- /dev/null
+++ b/dev-python/stevedore/stevedore-5.6.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=pbr
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Manage dynamic plugins for Python applications"
+HOMEPAGE="
+ https://opendev.org/openstack/stevedore/
+ https://github.com/openstack/stevedore/
+ https://pypi.org/project/stevedore/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~mips ~ppc64 ~riscv ~s390 ~sparc
~x86"
+
+BDEPEND="
+ test? (
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ dev-python/testtools[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+distutils_enable_sphinx 'doc/source' \
+ '>=dev-python/openstackdocstheme-1.18.1' \
+ '>=dev-python/reno-2.5.0' \
+ '>=dev-python/sphinx-2.0.0'
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # also fails in venv
+
stevedore/tests/test_cache.py::TestCache::test_disable_caching_file
+ )
+ local EPYTEST_IGNORE=()
+ if ! has_version "dev-python/sphinx[${PYTHON_USEDEP}]"; then
+ EPYTEST_IGNORE+=(
+ stevedore/tests/test_sphinxext.py
+ )
+ fi
+
+ epytest
+}